| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwSPIDER.cpp File Reference

Functions for reading and writing SPIDER files. More...

`#include "utilities.h"`
`#include "file_util.h"`
`#include "rwSPIDER.h"`

Go to the source code of this file.

## Functions
View | view_from_spider_euler (SPIDERhead *header)
int | spider_euler_from_view (SPIDERhead *header, View view)
int | readSPIDER (Bimage *p, int readdata, int img_select)
| Reading a SPIDER image file format. More...
int | writeSPIDER (Bimage *p)
| Writing a SPIDER image file format. A 3D image format used in electron microscopy. More...

## Variables
int | verbose
char * | month []

## Detailed Description

Functions for reading and writing SPIDER files.

Author
  Bernard Heymann

Date
  Created: 19990410
  Modified: 20120321

Definition in file rwSPIDER.cpp.

## Function Documentation

## ◆ readSPIDER()

int readSPIDER | ( | Bimage * | p,
|  | int | readdata,
|  | int | img_select
| ) |  |

Reading a SPIDER image file format.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.
  img_select | image selection in multi-image file (-1 = all images).

Returns
  int error code (<0 means failure). A 3D multi-image format used in electron microscopy. Header size: 1024 bytes (not same as data offset!). Data offset: sizeof(float)*x_size*ceil(1024/x_size) File format extensions: .spi The identifier is a 4-byte machine stamp: 1 Big-endian IEEE 17 17 00 00 2 VAX 34 65 00 00 3 Cray - 4 Little-endian IEEE 68 65 00 00 5 Convex 85 17 00 00 6 Fijitsu VP - (Note: not always implemented - so unreliable) Byte order determination: File type and third dimension values must be less than 256*256. Data type: only float. Transform type: Hermitian The x-dimension contains the x-size of the full transform A multi-image file has a global header followed by a header and data for each sub-image.

Definition at line 82 of file rwSPIDER.cpp.

## ◆ spider_euler_from_view()

int spider_euler_from_view | ( | SPIDERhead * | header,
|  | View | view
| ) |  |

Definition at line 37 of file rwSPIDER.cpp.

## ◆ view_from_spider_euler()

View view_from_spider_euler | ( | SPIDERhead * | header | ) |

Definition at line 18 of file rwSPIDER.cpp.

## ◆ writeSPIDER()

int writeSPIDER | ( | Bimage * | p | ) |

Writing a SPIDER image file format. A 3D image format used in electron microscopy.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure).

Definition at line 243 of file rwSPIDER.cpp.

## Variable Documentation

## ◆ month

char* month[]

Definition at line 55 of file rwimg.cpp.

## ◆ verbose

int verbose